Skip to content

Create Deployment

POST
/api/v1/deployments
curl --request POST \
--url https://aura.strangeworks.com/api/v1/deployments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example" }'
Media typeapplication/json
DeploymentCreateRequest
object
name
required
Name
string
>= 1 characters <= 100 characters
Examplegenerated
{
"name": "example"
}

Successful Response

Media typeapplication/json
DeploymentResponse
object
created_at
required
Created At
string format: date-time
handle
required
Handle
string
id
required
Id
string
name
required
Name
string
updated_at
required
Updated At
string format: date-time
Examplegenerated
{
"created_at": "2026-04-15T12:00:00Z",
"handle": "example",
"id": "example",
"name": "example",
"updated_at": "2026-04-15T12:00:00Z"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}